<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"	
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
final String pipeline = request.getParameter("pipeline");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~demux_start.js" 
	styles="path.css,~../css/reggie-2.css"
>
<style>
.notify.donotuseinfo
{
	width: auto;
	max-width: 60em;
	font-weight: normal;
	background-color: #F8F8E8;
	border-color: inherit;
}

.notify.donotuseinfo > div:first-child > div
{
	border-color: #F8F8E8;
}

.notify .notify-message:before
{
	content: url('../images/info.png');
}

.donotuseinfo td
{
	vertical-align: top;
	padding: 2px;
}
</style>

</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Start MIPs demux" 
		/></p:path>

	<div id="page-data" class="datacontainer"
		data-pipeline="<%=HTML.encodeTags(pipeline)%>"
	></div>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step auto-hide" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Select sequencing runs</div>
		<div class="step-content">

			<table class="step-form">
			<tr class="align-top">
				<td class="prompt">Sequencing runs</td>
				<td class="input">
					<select class="required" name="seqRuns" id="seqRuns"
						 multiple size="8"></select>
						
					<base:buttongroup style="margin-top: 0.5em;">
						<base:button title="Select manually&hellip;" id="btnSelectSeqRuns" />
					</base:buttongroup>
				</td>
				<td class="status" id="seqRuns.status"></td>
				<td class="help">
					<span id="seqRuns.message" class="message"></span>
					Select the sequencing runs that should be demuxed. Data for libraries that are found
					in multiple places are merged to a single item for that library. 
				</td>
			</tr>
			</table>
		</div>
	</div>
	
	<div class="step" id="step-2">
		<div class="step-no">2</div>
		<div class="step-title">Demux information</div>
		<div class="step-content">

			<table class="step-form">
			<tbody>
				<tr class="section-header">
					<td colspan="4">Demux</td>
				</tr>
				<tr>
					<td class="subprompt">Protocol</td>
					<td class="input">
						<select name="demuxProtocol" id="demuxProtocol"></select>
					</td>
					<td class="status" id="demuxProtocol.status"></td>
					<td class="help">
						<span id="demuxProtocol.message" class="message"></span>
						Select the protocol used for demuxing.
					</td>
				</tr>
				<tr>
					<td class="subprompt">Software</td>
					<td class="input">
						<select name="demuxSoftware" id="demuxSoftware"></select>
					</td>
					<td class="status" id="demuxSoftware.status"></td>
					<td class="help">
						<span id="demuxSoftware.message" class="message"></span>
						Select the software to use for demuxing.
					</td>
				</tr>
			</tbody>
				<tbody class="info-section">
				<tr>
					<td class="subprompt">Parameter set</td>
					<td class="info" colspan="2">
						<span id="demuxSoftware.parameterSet"></span>
						<div id="demuxSoftware.description" class="item-description"></div>
					</td>
					<td class="help">
						This step uses Picard to extract barcodes and extract sequence information to FASTQ files.
						Parameters are configured in the &lt;demux&gt; section in reggie-config.xml but note that the
						Bowtie and Trimmomatic parameters are for the merge step.
					</td>
				</tr>
			</tbody>
			<tbody id="SequencingRun-section"></tbody>
			<tbody>
				<tr class="section-header">
					<td colspan="4">Open Grid Scheduler &amp; job options</td>
				</tr>
				<tr>
					<td class="subprompt">Cluster</td>
					<td class="input">
						<select name="clusters" id="clusters" class="required"></select>
					</td>
					<td class="status" id="clusters.status"></td>
					<td class="help">
						<span id="clusters.message" class="message"></span>
						Select the cluster to use for running the software.
					</td>
				</tr>
				<tr id="job-priority" style="display: none;">
					<td class="subprompt">Job priority</td>
					<td class="input">
						<select name="priority" id="priority"></select>
					</td>
					<td class="status" id="priority.status"></td>
					<td class="help">
						<span id="priority.message" class="message"></span>
						Select the priority of the job.
					</td>
				</tr>
				<tr>
					<td class="subprompt">Number of slots</td>
					<td class="input">
						<input type="text" name="slots" id="slots" style="width: 8em;">
					</td>
					<td class="status" id="slots.status"></td>
					<td class="help">
						<span id="slots.message" class="message"></span>
						Min and max number of slots to use, seperated by '-'. Example: <code>4-8</code>.
					</td>
				</tr>
				<tr>
					<td class="subprompt">Auto-confirm</td>
					<td class="input"><input type="checkbox" name="autoConfirm" checked></td>
					<td class="status" id="autoConfirm.status"></td>
					<td class="help">
						<span id="autoConfirm.message" class="message"></span>
						If the demux is successful, without warnings, it is automatically confirmed 
						and alignement is started.
					</td>
				</tr>
				<tr>
					<td class="subprompt">Debug</td>
					<td class="input"><input type="checkbox" name="debug"></td>
					<td class="status" id="debug.status"></td>
					<td class="help">
						<span id="debug.message" class="message"></span>
						When running in debug mode only part of the sequenced data is used and
						temporary files are not removed from the cluster node.
					</td>
				</tr>
			</tbody>
			</table>
		</div>
	</div>
		
		<div id="wizard-status"></div>
	
		<table class="navigation" id="navigation">
		<tr>
			<td><base:button id="gocancel" title="Cancel" /></td>
			<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
			<td><base:button id="goregister" title="Register" image="<%=home+"/images/import.png"%>"  /></td>
			<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
			<td id="gonext-message" class="message"></td>
		</tr>
		</table>
	
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>